Commit 35ab251d authored by amnesia's avatar amnesia

include the full version in ISO volume name

parent a44b4e33
......@@ -142,8 +142,16 @@ AMNESIA_HOME_EXCLUDES="/.ICEauthority \
### You should not have to change anything bellow this line ####################
# sanity checks
if [ ! -x "`which dpkg-parsechangelog`" ]; then
echo "could not find dpkg-parsechangelog, please apt-get install dpkg-dev" >&2
exit 2
fi
# Compute the current Amnesia's version once for all
AMNESIA_TODAY="`date '+%Y%m%d'`"
AMNESIA_VERSION="`dpkg-parsechangelog | sed -n 's/^Version: //p'`"
AMNESIA_FULL_VERSION="${AMNESIA_VERSION} - ${AMNESIA_TODAY}"
# Developpers' data used by git-dch, debcommit and friends in the release script
AMNESIA_DEV_FULLNAME="amnesia"
......
......@@ -41,7 +41,7 @@ for BUILD_TYPE in ${AMNESIA_IMAGES} ; do
;;
esac
. config/chroot # get LH_LANGUAGE
BUILD_BASENAME="amnesia-${AMNESIA_BASE}-${LH_LANGUAGE}-${AMNESIA_TODAY}"
BUILD_BASENAME="amnesia-${AMNESIA_BASE}-${LH_LANGUAGE}-${AMNESIA_VERSION}-${AMNESIA_TODAY}"
BUILD_DEST_FILENAME="${BUILD_BASENAME}.${BUILD_FILENAME_EXT}"
BUILD_LOG="build-${BUILD_BASENAME}.log"
......
......@@ -9,16 +9,6 @@ fi
# init variables
RUN_LH_CONFIG="lh config noautoconfig"
# helper functions
fatal () {
echo "Fatal: $@" >&2
exit 2
}
# sanity checks
[ -x "`which dpkg-parsechangelog`" ] \
|| fatal "could not find dpkg-parsechangelog, please apt-get install dpkg-dev"
# init config/ with defaults
$RUN_LH_CONFIG ${@}
......@@ -31,7 +21,7 @@ $RUN_LH_CONFIG \
--hostname="amnesia" \
--iso-application="Amnesia live system" \
--iso-publisher="https://amnesia.boum.org/" \
--iso-volume="Amnesia ${AMNESIA_TODAY}" \
--iso-volume="Amnesia ${AMNESIA_FULL_VERSION}" \
--memtest none \
--username="amnesia" \
--syslinux-timeout 4 \
......@@ -73,8 +63,7 @@ $RUN_LH_CONFIG --packages-lists="$PACKAGES_LISTS" ${@}
# version
mkdir -p config/chroot_local-includes/etc/amnesia/
echo "`dpkg-parsechangelog | sed -n 's/^Version: //p'` (${AMNESIA_TODAY})" \
> config/chroot_local-includes/etc/amnesia/version
echo "${AMNESIA_FULL_VERSION}" > config/chroot_local-includes/etc/amnesia/version
# changelog
cp debian/changelog config/chroot_local-includes/usr/share/doc/Changelog
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment